/*******************************************************************************
*  skMPL115A1.h - 大気圧センサMPL115A1(SPI)用関数ライブラリの                  *
*                                                         インクルードファイル *
*                                                                              *
* ============================================================================ *
*   VERSION  DATE        BY             CHANGE/COMMENT                         *
* ---------------------------------------------------------------------------- *
*   1.00     2012-12-27  きむ茶工房     Create                                 *
* ============================================================================ *
*   Arduino IDE 1.0.1 (Ardino Duemilanove 328)                                 *
*******************************************************************************/
#ifndef skMPL115A1_h
#define skMPL115A1_h

#include "arduino.h"


/*******************************************************************************
*	クラスの定義                                                           *
*******************************************************************************/
class skMPL115A1
{
  public:
          skMPL115A1(int divider,int mode) ;
    void  CoefficientRead() ;
    void  PressureRead() ;
    float PressureCalc() ;
    float PressureAVE(int count) ;
    float AltitudeCalc(float pressure,int Difference) ;

  private:
    static unsigned long Press ;
    static unsigned long Temp ;
    static float a0 ;
    static float b1 ;
    static float b2 ;
    static float c12 ;
} ;

#endif
